package com.bjsxt.dao.impl;

import com.bjsxt.commons.JDBCUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class UserLoginDaoImpl implements UserLoginDao {
    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Connection conn=null;
        Users user=null;
        PreparedStatement ps=null;
        try {
            conn= JDBCUtils.getConnection();
            ps = conn.prepareStatement("select * from users where username= ? and userpwd= ?");
            ps.setString(1,username);
            ps.setString(2,userpwd);
            ResultSet resultSet = ps.executeQuery();
            while (resultSet.next()){
                user=new Users();
                user.setUsername(resultSet.getString("username"));
                user.setUserpwd(resultSet.getString("userpwd"));
                user.setUsersex(resultSet.getString("usersex"));
                user.setUserid(resultSet.getInt("userid"));
                user.setPhonenumber(resultSet.getString("phonenumber"));
                user.setQqnumber(resultSet.getString("qqnumber"));
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }finally {
            JDBCUtils.closeConnection(conn);
        }
        return user;
    }

    public static void main(String[] args) {
       UserLoginDaoImpl userLoginDao=new UserLoginDaoImpl();
       Users cm = userLoginDao.selectUsersByUserNameAndUserPwd("admin", "admin");
       System.out.println(cm.getPhonenumber());
    }
}
